static int
loggerLevel_constant_28 (pTHX_ const char *name, IV *iv_return) {
  /* When generated this function returned values for the list of names given
     here.  However, subsequent manual editing may have added or removed some.
     GENERICLOGGER_LOGLEVEL_ALERT GENERICLOGGER_LOGLEVEL_DEBUG
     GENERICLOGGER_LOGLEVEL_ERROR GENERICLOGGER_LOGLEVEL_TRACE */
  /* Offset 27 gives the best switch position.  */
  switch (name[27]) {
  case 'E':
    if (memEQ(name, "GENERICLOGGER_LOGLEVEL_TRAC", 27)) {
    /*                                          E      */
#if 1
      *iv_return = GENERICLOGGER_LOGLEVEL_TRACE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'G':
    if (memEQ(name, "GENERICLOGGER_LOGLEVEL_DEBU", 27)) {
    /*                                          G      */
#if 1
      *iv_return = GENERICLOGGER_LOGLEVEL_DEBUG;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'R':
    if (memEQ(name, "GENERICLOGGER_LOGLEVEL_ERRO", 27)) {
    /*                                          R      */
#if 1
      *iv_return = GENERICLOGGER_LOGLEVEL_ERROR;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 'T':
    if (memEQ(name, "GENERICLOGGER_LOGLEVEL_ALER", 27)) {
    /*                                          T      */
#if 1
      *iv_return = GENERICLOGGER_LOGLEVEL_ALERT;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}
static int
loggerLevel_constant (pTHX_ const char *name, STRLEN len, IV *iv_return) {
  /* Initially switch on the length of the name.  */
  /* When generated this function returned values for the list of names given
     in this section of perl code.  Rather than manually editing these functions
     to add or remove constants, which would result in this comment and section
     of code becoming inaccurate, we recommend that you edit this section of
     code, and use it to regenerate a new set of constant functions which you
     then use to replace the originals.

     Regenerate these constant functions by feeding this entire source file to
     perl -x

#!/usr/bin/perl5.38.0 -w
use ExtUtils::Constant qw (constant_types C_constant XS_constant);

my $types = {map {($_, 1)} qw(IV)};
my @names = (qw(GENERICLOGGER_LOGLEVEL_ALERT GENERICLOGGER_LOGLEVEL_CRITICAL
	       GENERICLOGGER_LOGLEVEL_DEBUG GENERICLOGGER_LOGLEVEL_EMERGENCY
	       GENERICLOGGER_LOGLEVEL_ERROR GENERICLOGGER_LOGLEVEL_INFO
	       GENERICLOGGER_LOGLEVEL_NOTICE GENERICLOGGER_LOGLEVEL_TRACE
	       GENERICLOGGER_LOGLEVEL_WARNING));

print constant_types(), "\n"; # macro defs
foreach (C_constant ("MarpaX::ESLIF::Logger::Level", 'loggerLevel_constant', 'IV', $types, undef, 3, @names) ) {
    print $_, "\n"; # C constant subs
}
print "\n#### XS Section:\n";
print XS_constant ("MarpaX::ESLIF::Logger::Level", $types);
__END__
   */

  switch (len) {
  case 27:
    if (memEQ(name, "GENERICLOGGER_LOGLEVEL_INFO", 27)) {
#if 1
      *iv_return = GENERICLOGGER_LOGLEVEL_INFO;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 28:
    return loggerLevel_constant_28 (aTHX_ name, iv_return);
    break;
  case 29:
    if (memEQ(name, "GENERICLOGGER_LOGLEVEL_NOTICE", 29)) {
#if 1
      *iv_return = GENERICLOGGER_LOGLEVEL_NOTICE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 30:
    if (memEQ(name, "GENERICLOGGER_LOGLEVEL_WARNING", 30)) {
#if 1
      *iv_return = GENERICLOGGER_LOGLEVEL_WARNING;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 31:
    if (memEQ(name, "GENERICLOGGER_LOGLEVEL_CRITICAL", 31)) {
#if 1
      *iv_return = GENERICLOGGER_LOGLEVEL_CRITICAL;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 32:
    if (memEQ(name, "GENERICLOGGER_LOGLEVEL_EMERGENCY", 32)) {
#if 1
      *iv_return = GENERICLOGGER_LOGLEVEL_EMERGENCY;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}
