static int
rulePropertyBitSet_constant (pTHX_ const char *name, STRLEN len, IV *iv_return) {
  /* Initially switch on the length of the name.  */
  /* When generated this function returned values for the list of names given
     in this section of perl code.  Rather than manually editing these functions
     to add or remove constants, which would result in this comment and section
     of code becoming inaccurate, we recommend that you edit this section of
     code, and use it to regenerate a new set of constant functions which you
     then use to replace the originals.

     Regenerate these constant functions by feeding this entire source file to
     perl -x

#!/usr/bin/perl5.38.0 -w
use ExtUtils::Constant qw (constant_types C_constant XS_constant);

my $types = {map {($_, 1)} qw(IV)};
my @names = (qw(MARPAESLIF_RULE_IS_ACCESSIBLE MARPAESLIF_RULE_IS_LOOP
	       MARPAESLIF_RULE_IS_NULLABLE MARPAESLIF_RULE_IS_NULLING
	       MARPAESLIF_RULE_IS_PRODUCTIVE));

print constant_types(), "\n"; # macro defs
foreach (C_constant ("MarpaX::ESLIF::Rule::PropertyBitSet", 'rulePropertyBitSet_constant', 'IV', $types, undef, 3, @names) ) {
    print $_, "\n"; # C constant subs
}
print "\n#### XS Section:\n";
print XS_constant ("MarpaX::ESLIF::Rule::PropertyBitSet", $types);
__END__
   */

  switch (len) {
  case 23:
    if (memEQ(name, "MARPAESLIF_RULE_IS_LOOP", 23)) {
#if 1
      *iv_return = MARPAESLIF_RULE_IS_LOOP;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 26:
    if (memEQ(name, "MARPAESLIF_RULE_IS_NULLING", 26)) {
#if 1
      *iv_return = MARPAESLIF_RULE_IS_NULLING;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 27:
    if (memEQ(name, "MARPAESLIF_RULE_IS_NULLABLE", 27)) {
#if 1
      *iv_return = MARPAESLIF_RULE_IS_NULLABLE;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 29:
    /* Names all of length 29.  */
    /* MARPAESLIF_RULE_IS_ACCESSIBLE MARPAESLIF_RULE_IS_PRODUCTIVE */
    /* Offset 22 gives the best switch position.  */
    switch (name[22]) {
    case 'D':
      if (memEQ(name, "MARPAESLIF_RULE_IS_PRODUCTIVE", 29)) {
      /*                                     ^             */
#if 1
        *iv_return = MARPAESLIF_RULE_IS_PRODUCTIVE;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    case 'E':
      if (memEQ(name, "MARPAESLIF_RULE_IS_ACCESSIBLE", 29)) {
      /*                                     ^             */
#if 1
        *iv_return = MARPAESLIF_RULE_IS_ACCESSIBLE;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}
