static int
symbolEventBitSet_constant (pTHX_ const char *name, STRLEN len, IV *iv_return) {
  /* Initially switch on the length of the name.  */
  /* When generated this function returned values for the list of names given
     in this section of perl code.  Rather than manually editing these functions
     to add or remove constants, which would result in this comment and section
     of code becoming inaccurate, we recommend that you edit this section of
     code, and use it to regenerate a new set of constant functions which you
     then use to replace the originals.

     Regenerate these constant functions by feeding this entire source file to
     perl -x

#!/usr/bin/perl5.38.0 -w
use ExtUtils::Constant qw (constant_types C_constant XS_constant);

my $types = {map {($_, 1)} qw(IV)};
my @names = (qw(MARPAESLIF_SYMBOL_EVENT_COMPLETION
	       MARPAESLIF_SYMBOL_EVENT_NULLED
	       MARPAESLIF_SYMBOL_EVENT_PREDICTION));

print constant_types(), "\n"; # macro defs
foreach (C_constant ("MarpaX::ESLIF::Symbol::EventBitSet", 'symbolEventBitSet_constant', 'IV', $types, undef, 3, @names) ) {
    print $_, "\n"; # C constant subs
}
print "\n#### XS Section:\n";
print XS_constant ("MarpaX::ESLIF::Symbol::EventBitSet", $types);
__END__
   */

  switch (len) {
  case 30:
    if (memEQ(name, "MARPAESLIF_SYMBOL_EVENT_NULLED", 30)) {
#if 1
      *iv_return = MARPAESLIF_SYMBOL_EVENT_NULLED;
      return PERL_constant_ISIV;
#else
      return PERL_constant_NOTDEF;
#endif
    }
    break;
  case 34:
    /* Names all of length 34.  */
    /* MARPAESLIF_SYMBOL_EVENT_COMPLETION MARPAESLIF_SYMBOL_EVENT_PREDICTION */
    /* Offset 29 gives the best switch position.  */
    switch (name[29]) {
    case 'C':
      if (memEQ(name, "MARPAESLIF_SYMBOL_EVENT_PREDICTION", 34)) {
      /*                                            ^           */
#if 1
        *iv_return = MARPAESLIF_SYMBOL_EVENT_PREDICTION;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    case 'E':
      if (memEQ(name, "MARPAESLIF_SYMBOL_EVENT_COMPLETION", 34)) {
      /*                                            ^           */
#if 1
        *iv_return = MARPAESLIF_SYMBOL_EVENT_COMPLETION;
        return PERL_constant_ISIV;
#else
        return PERL_constant_NOTDEF;
#endif
      }
      break;
    }
    break;
  }
  return PERL_constant_NOTFOUND;
}
